Doomsday Engine - Bug #319

Use key doesn't work in heretic
2006-07-29 11:14 - ashridah

Status: Closed Start date: 2006-07-29
Priority: Normal % Done: 100%
Assignee: danij

Category:

Target version:

Description

While playing heretic with a recent subversion HEAD
build, the use key fails to have an effect,
regardless of what the use key is set to.

The control panel's "show scancode" option clearly
shows that doomsday is registering the keypress
occurring, it just doesn't seem to trigger the ingame
event.

Additionally, if jumping is turned on, the jump key
works exactly once, and then fails to respond.

These bugs do not occur in jdoom with doom1 or
doom2's wad file.

Labels: jHeretic Gameplay

History

#1 - 2006-07-29 11:14 - ashridah

jheretic config file

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/6d216c6a/6ddb/attachment/jheretic.cfg

#2 - 2006-07-29 17:24 - danij
Logged In: YES
user_id=849456

This is a known issue and one which has already been fixed.
| will be commiting the fix to the repository soon.

For now you should use the offically released 1.9.0-beta4
source package.

We cannot guarantee that the latest code in the SVN HEAD
will be suitable for day to day use.

#3 - 2006-07-30 07:04 - yagisan
Logged In: YES
user_id=1248824

G'day Dani. | wasn't aware this was a known issue, as | had
ashridah trying out some of my changes when he noticed this
bug. It was at my directions he filed a bug on it.

#4 - 2006-07-31 16:00 - danij

Logged In: YES
user_id=849456

Not a problem Yagisan, I'm happy to see that all known bugs
are being documented :)
http://sourceforge.net/p/deng/bugs/_discuss/thread/6d216c6a/6ddb/attachment/jheretic.cfg

The only reason | didn't submit a bug report myself is
because the bug only exists in the current SVN HEAD version
and not in any offical releases.

#5 - 2006-07-31 23:53 - danij

Logged In: YES
user_id=849456

Fixed in SVN [3439].
